Use and allow user to override environment variables.
https://github.com/love2d/love/commit/e6f06fbc78e5b7194e6ff56594248ce3688487dc
--- platform/unix/automagic.orig	2011-04-27 09:40:26.000000000 -0500
+++ platform/unix/automagic	2024-05-08 01:22:26.000000000 -0500
@@ -3,8 +3,15 @@
 	echo "You should be doing this from the root directory of the project."
 	exit 1
 fi
-autoheader # Gimmie config.h.in
-libtoolize --force
-aclocal
-autoconf
-automake -a
+
+AUTOHEADER=${AUTOHEADER:-$(which autoheader)}
+AUTOCONF=${AUTOCONF:-$(which autoconf)}
+LIBTOOLIZE=${LIBTOOLIZE:-$(which libtoolize)}
+ACLOCAL=${ACLOCAL:-$(which aclocal)}
+AUTOMAKE=${AUTOMAKE:-$(which automake)}
+
+${AUTOHEADER} || return 1 # Gimmie config.h.in
+${LIBTOOLIZE} --force || return 1
+${ACLOCAL} || return 1
+${AUTOCONF} || return 1
+${AUTOMAKE} -a || return 1
